Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection.lettuce
Class LettuceConverters

    java.lang.Object
      org.springframework.data.redis.connection.convert.Converters
          org.springframework.data.redis.connection.lettuce.LettuceConverters

    public abstract class LettuceConverters

extends Converters

Lettuce type converters

Constructor Summary
`LettuceConverters()`

Method Summary
`static Converter<List<byte[]>,Set<byte[]>>` | `bytesListToBytesSet()`
`static Converter<Set<byte[]>,List<byte[]>>` | `bytesSetToBytesList()`
`static Converter<Date,Long>` | `dateToLong()`
`static Converter<Exception,DataAccessException>` | `exceptionConverter()`
`static Converter<com.lambdaworks.redis.KeyValue<byte[],byte[]>,List<byte[]>>` | `keyValueToBytesList()`
`static Converter<List<com.lambdaworks.redis.ScoredValue<byte[]>>,Set<RedisZSetCommands.Tuple>>` | `scoredValuesToTupleSet()`
`static Converter<com.lambdaworks.redis.ScoredValue<byte[]>,RedisZSetCommands.Tuple>` | `scoredValueToTuple()`
`static boolean` | `toBoolean(RedisListCommands.Position where)`
`static List<byte[]>` | `toBytesList(com.lambdaworks.redis.KeyValue<byte[],byte[]> source)`
`static List<byte[]>` | `toBytesList(Set<byte[]> source)`
`static Set<byte[]>` | `toBytesSet(List<byte[]> source)`
`static DataAccessException` | `toDataAccessException(Exception ex)`
`static int` | `toInt(boolean value)`
`static Long` | `toLong(Date source)`
`static com.lambdaworks.redis.ScriptOutputType` | `toScriptOutputType(ReturnType returnType)`
`static com.lambdaworks.redis.SortArgs` | `toSortArgs(SortParameters params)`
`static RedisZSetCommands.Tuple` | `toTuple(com.lambdaworks.redis.ScoredValue<byte[]> source)`
`static Set<RedisZSetCommands.Tuple>` | `toTupleSet(List<com.lambdaworks.redis.ScoredValue<byte[]>> source)`

Methods inherited from class org.springframework.data.redis.connection.convert.Converters
`longToBoolean, stringToDataType, stringToProps, toBit, toBoolean, toDataType, toObjects, toProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LettuceConverters

    public LettuceConverters()

Method Detail

### dateToLong

    public static Converter<Date,Long> dateToLong()

### bytesListToBytesSet

    public static Converter<List<byte[]>,Set<byte[]>> bytesListToBytesSet()

### keyValueToBytesList

    public static Converter<com.lambdaworks.redis.KeyValue<byte[],byte[]>,List<byte[]>> keyValueToBytesList()

### bytesSetToBytesList

    public static Converter<Set<byte[]>,List<byte[]>> bytesSetToBytesList()

### scoredValuesToTupleSet

    public static Converter<List<com.lambdaworks.redis.ScoredValue<byte[]>>,Set<RedisZSetCommands.Tuple>> scoredValuesToTupleSet()

### scoredValueToTuple

    public static Converter<com.lambdaworks.redis.ScoredValue<byte[]>,RedisZSetCommands.Tuple> scoredValueToTuple()

### exceptionConverter

    public static Converter<Exception,DataAccessException> exceptionConverter()

### toLong

    public static Long toLong(Date source)

### toBytesSet

    public static Set<byte[]> toBytesSet(List<byte[]> source)

### toBytesList

    public static List<byte[]> toBytesList(com.lambdaworks.redis.KeyValue<byte[],byte[]> source)

### toBytesList

    public static List<byte[]> toBytesList(Set<byte[]> source)

### toTupleSet

    public static Set<RedisZSetCommands.Tuple> toTupleSet(List<com.lambdaworks.redis.ScoredValue<byte[]>> source)

### toTuple

    public static RedisZSetCommands.Tuple toTuple(com.lambdaworks.redis.ScoredValue<byte[]> source)

### toDataAccessException

    public static DataAccessException toDataAccessException(Exception ex)

### toScriptOutputType

    public static com.lambdaworks.redis.ScriptOutputType toScriptOutputType(ReturnType returnType)

### toBoolean

    public static boolean toBoolean(RedisListCommands.Position where)

### toInt

    public static int toInt(boolean value)

### toSortArgs

    public static com.lambdaworks.redis.SortArgs toSortArgs(SortParameters params)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD